# Smort ![Version](https://img.shields.io/gem/v/smort.svg?style=flat-square)

An erudite JSON schema and document manager

![Smort](https://cloud.githubusercontent.com/assets/13771/7487388/5507ee4c-f36b-11e4-92b6-e5e74b921429.png)


## Usage, Configuration &c.

### Installation

If you like gems you can build one from this repository, or use RubyGems:

    $ gem install smort

Native packages for Linux and OS X are provided on the [Releases page](https://github.com/sczizzo/smort/releases) in GitHub.

You can also try the [official Docker image](https://registry.hub.docker.com/u/sczizzo/smort)
based on the Linux package.

### Usage

Just call for help!

    $ smort help
    Commands:
      smort art             # View the application art
      smort help [COMMAND]  # Describe available commands or one specific command
      smort version         # Echo the application version
      smort web             # Serve the Web interface

You're prolly interested in the `web` command:

    $ smort help web
    Usage:
      smort web

    Options:
      -b, [--bind=BIND]                # Set Sinatra interface
                                       # Default: 0.0.0.0
      -p, [--port=N]                   # Set Sinatra port
                                       # Default: 4567
      -e, [--environment=ENVIRONMENT]  # Set Sinatra environment
                                       # Default: development
      -L, [--log=LOG]                  # Log to file instead of STDOUT
      -V, [--debug], [--no-debug]      # Enable DEBUG-level logging
      -VV, [--trace], [--no-trace]     # Enable TRACE-level logging

    Serve the Web interface

### Configuration

There is no configuration right now, but stay tuned!


## Changelog

#### pre-release

- Skeleton, packaging support in place